| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::PluginCommon::SoftShader::iScanlineRenderer::RenderInfoMesh Struct Reference

Information for setting up rendering a mesh, filled by the scanline renderer. More...

`#include <csplugincommon/softshader/scanline.h>`

List of all members.

## Public Attributes
const size_t * | bufferComps
| Numbers of components in buffers.
BuffersMask | desiredBuffers
| Buffers the scanline function expects.
iScanlineRenderer * | renderer
| The renderer object to pass to the scanline function.

## Detailed Description

Information for setting up rendering a mesh, filled by the scanline renderer.

Definition at line 71 of file scanline.h.

## Member Data Documentation

const size_t* CS::PluginCommon::SoftShader::iScanlineRenderer::RenderInfoMesh::bufferComps

Numbers of components in buffers.

Definition at line 78 of file scanline.h.

BuffersMask CS::PluginCommon::SoftShader::iScanlineRenderer::RenderInfoMesh::desiredBuffers

Buffers the scanline function expects.

Definition at line 76 of file scanline.h.

iScanlineRenderer* CS::PluginCommon::SoftShader::iScanlineRenderer::RenderInfoMesh::renderer

The renderer object to pass to the scanline function.

Definition at line 74 of file scanline.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/scanline.h